module "loki" {
  source = "../services/service"
  detach = false

  name  = "loki"
  image = "grafana/loki:2.2.1"
  args  = ["--config.file=$${NOMAD_TASK_DIR}/loki-config.yml"]

  service_port = 3100
  ingress      = true
  use_wesher   = var.use_wesher

  sticky_disk = true
  # healthcheck  = "/ready"
  templates = [
    {
      data  = file("${path.module}/loki-config.yml")
      dest  = "loki-config.yml"
      mount = false
    }
  ]
}
